Name:    odamex
Version: 0.8.1
Release: 1%{?dist}

Group:   Amusements/Games
Summary: Open source port of the DOOM game engine
License: GPLv2+
URL:     http://odamex.net/

Source0:       https://netcologne.dl.sourceforge.net/project/odamex/Odamex/%{version}/%{name}-src-%{version}.tar.gz
BuildRequires: gcc-c++ cmake desktop-file-utils alsa-lib-devel
BuildRequires: SDL2-devel SDL2_mixer-devel
BuildRequires: wxGTK3-devel

%description
Odamex is a free and open source port for the classic
first-person shooter Doom. Odamex's goal is to emulate
the feel of and retain many aspects of the original Doom
executables while offering a broader expanse of security
features, personal configuration, gameplay options and
editing features.

%prep
%setup -q -n %{name}-src-%{version}

%build
cmake . -DCMAKE_INSTALL_PREFIX:PATH=/usr
make
desktop-file-edit installer/arch/odamex.desktop \
--set-key=Exec --set-value='odamex -waddir /usr/odamex'

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/96x96/apps
desktop-file-install installer/arch/odamex.desktop --dir=%{buildroot}/usr/share/applications/
desktop-file-install installer/arch/odalaunch.desktop --dir=%{buildroot}/usr/share/applications/
desktop-file-install installer/arch/odasrv.desktop --dir=%{buildroot}/usr/share/applications/
install -p -m 644 media/icon_odamex_96.png %{buildroot}/%{_datadir}/icons/hicolor/96x96/apps/odamex.png
install -p -m 644 media/icon_odasrv_96.png %{buildroot}/%{_datadir}/icons/hicolor/96x96/apps/odasrv.png
install -p -m 644 media/icon_odalaunch_96.png %{buildroot}/%{_datadir}/icons/hicolor/96x96/apps/odalaunch.png

%files
%{_bindir}/odamex
%{_bindir}/odasrv
%{_bindir}/odalaunch
%{_bindir}/odamast
%{_datadir}/odamex/odamex.wad
%{_datadir}/odamex/LICENSE
%{_datadir}/odamex/README
%{_datadir}/odamex/config-samples/*.cfg
%{_prefix}/lib/libminiupnpc.a
%{_includedir}/miniupnpc/*.h
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/96x96/apps/*.png

%changelog
* Wed Jul 24 2019 vain <nibbler at vain.cz> - 0.8.1-1
- Odamex 0.8.1 release

* Mon Jan 28 2019 vain <nibbler at vain.cz> - 0.8.0-4
- SDL2 is supported since odamex 0.8.0, use it instead of SDL1.2

* Wed Jan 23 2019 vain <nibbler at vain.cz> - 0.8.0-3
- build actually in build section, not in install section with make install

* Wed Jan 23 2019 vain <nibbler at vain.cz> - 0.8.0-2
- Add gcc-c++ as buildrequires, otherwise build is failing on Fedora 29 in Copr

* Wed Jan 23 2019 vain <nibbler at vain.cz> - 0.8.0-1
- Initial release
